List Bills
Retrieve a paginated list of bills.
Supports:
- Pagination (`page_size`, `page`)
- Date filtering (`updated_after`, `updated_before`)
- Sorting (`order_by`)
Authentication
x-api-keystring
API Key authentication via header
Query parameters
page_size
Number of items per page (max 100)
page
Page number (1-based)
order_by
Sort order for results
Allowed values:
updated_after
Filter items updated after this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.
updated_before
Filter items updated before this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.
Response
List of bills
id
Bill identifier
billNumber
Unique bill number
status
Bill status
amount
Total bill amount
amountPaid
Amount paid
calculationMethod
Calculation method (LINE_ITEMS or PERCENTAGE)
createdAt
Creation timestamp
updatedAt
Last update timestamp
description
Bill description
basedOnId
ID of the record this bill is based on
basedOnUid
UID of the record this bill is based on
dueDate
Due date
issueDate
Issue date
isArchived
Whether the bill is archived
percentage
Percentage if calculationMethod is PERCENTAGE
baseAmount
Base amount if calculationMethod is PERCENTAGE
account
record
lineItems
Errors
400
Bad Request Error
401
Unauthorized Error
